<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button menu="drawerMenu"></ion-menu-button>
    </ion-buttons>
    <ion-title>admin</ion-title>
    <ion-buttons slot="end">
      <ion-icon name="add-outline" routerLink="/admin/create"></ion-icon>    
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item-sliding *ngFor="let product of products" >
      <ion-item-options side="start">
        <ion-item-option color="danger" (click)="presentAlert(product.id)">
          <ion-icon name="trash-outline" slot="icon-only"></ion-icon>        
        </ion-item-option>
      </ion-item-options>
      <ion-item [routerLink]="['./', product.id]">
        <ion-row >
          <ion-col size="auto">
            <ion-avatar>
              <ion-img [src]="product.foto"></ion-img>
  
            </ion-avatar>
          </ion-col>
          <ion-col size="auto">
            <ion-label>{{product.merk}}</ion-label>
            <ion-label>{{product.harga}}</ion-label>
            <ion-label>{{product.stock}}</ion-label>
    
          </ion-col>
        </ion-row>
      </ion-item>
      <ion-item-options side="end">
        <ion-item-option color="primary" [routerLink]="['./', product.id]">
          <ion-icon name="create-outline" slot="icon-only"></ion-icon>
        </ion-item-option>
      </ion-item-options>
      
    </ion-item-sliding> 
  </ion-list>
</ion-content>
